Subject: [node req] issue 36 - mib issues

From: [email-masked]
Date: Wed, 11 Feb 2004 21:08:07 +0200

assigned issue 36.

> > Set 2:
> >  
> > 
> >>1. Section 10.1.1 talks about "IP Forwarding Table MIB"
> >>  The revision of this MIB document (that you refer to) has a number
> >>  of deprecated and obsoleted objects. I think what you 
> want (intend)
> >>  to say is that an agent must implement those objects that are
> >>  required as per ipForwardFullCompliance or 
> ipForwardReadOnlyCompliance.
> >>
> >>  I am also not sure that this is correct:
> >>      Support for this MIB does not imply that IPv4 or IPv4 specific
> >>      portions of this MIB be supported.
> >>  Did you mean "IPv4 or IPv6 specific portions" ?
> 
> I think the intent was to say that if you implement IPv6 and as a
> result also the forwarding table MIB, it does not follow that you also
> have to implement all of IPv4.
> 
> >>  But maybe the sentence is not needed at all. The two MODULE-COMPLIANCEs
> >>  that I point you to above specify IP version neurtral objects!
> 
> I'm glad to hear that its IP version neutral.
> 
> So what happens if I create a new InetCidrRouteEntry and
> set inetCidrRouteDestType to "ipv4" on a box that supports
> only IPv6?
> 
> What I would like to happen is that this would fail, and
> doing so would not mean that the box violates 2096bis...
> 
> >>2. Similar comments/issue with Sect 10.1.2
> >>  I think you want to refer to CURRENT MODULE-COMPLIANCE, namely 
> >>  ipMIBCompliance2. Pls check and make sure you be specific as to what
> >>  needs to be supported.

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------